<?php

    // if post is password protected, then don't display comments and comments form
    if (post_password_required()) {
        return;
    }

    $logged_in_form = [
        'comment_field' => '
        <div class="comment-form">
            <div class="row">
                <div class="col">
                    <div class="textarea-group single">
                        <textarea required placeholder="'.__('Your reply *', 'slope').'" id="comment" name="comment" class="input-field"></textarea>
                    </div>
                </div>
            </div>
        </div>
        ',
        'title_reply' => esc_html__('Write Reply.', 'slope'),
        'comment_notes_before' => '',
        'cancel_reply_link' => esc_html__('Cancel', 'slope'),
        'label_submit' => esc_html__('Post Reply', 'slope'),
        'submit_field' => '
        <div class="row form-submit-row">
            <div class="col-lg-6">
                <p class="form-submit button">%1$s %2$s</p>
            </div>
            <div class="col-lg-6 cancel"></div>
        </div>'
    ];

    $logged_out_form = [
        'comment_field' => '',
        'title_reply' => esc_html__('Write Reply.', 'slope'),
        'comment_notes_before' => '',
        'cancel_reply_link' => esc_html__('Cancel', 'slope'),
        'label_submit' => esc_html__('Post Reply', 'slope'),
        'submit_field' => '
        <div class="row form-submit-row">
            <div class="col-lg-6">
                <p class="form-submit button">%1$s %2$s</p>
            </div>
            <div class="col-lg-6 cancel"></div>
        </div>'
    ];

?>

<?php if (have_comments()): ?>
    <!--
    comments - start
    -->
    <div class="comment-list <?php if (is_user_logged_in()) { echo esc_html('logged-in-form'); } ?>">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h3 class="comment-list--heading">
                        <?php
                            echo esc_html(get_comments_number(get_the_ID()));
                            if ( get_comments_number(get_the_ID()) == 1 ) {
                                echo esc_html__(" reply.", 'slope');
                            } else {
                                echo esc_html__(" replies.", 'slope');
                            }
                        ?>		
                    </h3>
                    
                    <?php
                        wp_list_comments(array(
                            'style' => 'div',
                            'short_ping'  => true,
                            'callback' => 'slope_comment_style'
                        ));
                    ?>

                    <?php if (get_comments_number( get_the_ID() ) > get_option( 'comments_per_page' )): ?>
                        <!--
                        comments pagination - start
                        -->
                        <div class="comment-pagination">
                            <?php paginate_comments_links(); ?>
                        </div>
                        <!--
                        comments pagination - end
                        -->
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
    <!--
    comments - end
    -->
<?php endif; ?>

<!--
comment form - start
-->
<div class="comment-form--wrapper <?php if (is_user_logged_in()) { echo esc_html('logged-in-form'); } ?>">
    <div class="container">
        <div class="row">
            <div class="col">
                <?php
                    if ( is_user_logged_in() ) {
                        comment_form($logged_in_form);
                    } else {
                        comment_form($logged_out_form);
                    }
                ?>
            </div>
        </div>
    </div>
</div>
<!--
comment form - end
-->