<?php
    $class = array(
        $args['blog_layout'] == 'list-1-left' ? 'list-1' : $args['blog_layout'],
        'blog-list-item-'.$args['id']
    );

    if (!empty($args['termsString']) && $args['termsString'] != '') {
        array_push($class, $args['termsString']);
    }

    if (!empty($args['other']) && $args['other'] != '') {
        array_push($class, $args['other']);
    }

    if (($args['blog_layout'] == 'grid') || 
        ($args['blog_layout'] == 'grid-1')) {
        array_push($class, 'col-lg-6');
    } else if (($args['blog_layout'] == 'list-1-left')) {
        array_push($class, 'col-lg-12 offset-lg-1');
    } else {
        array_push($class, 'col-lg-12');
    }

    $class_string = implode(' ', $class);

?>
<div class="<?php echo esc_attr($class_string) ?>">

    <div <?php post_class('blog-list-single'); ?> id="post-<?php the_ID(); ?>">


    <?php if (has_post_thumbnail()): ?>
    <div class="blog-list-single--thumbnail">
        <a href="<?php the_permalink(); ?>">
        <img src="<?php echo esc_url( get_the_post_thumbnail_url( get_the_ID(), 'full' ) ) ?>" alt="<?php echo esc_attr( get_post_meta(get_post_thumbnail_id( get_the_ID() ), '_wp_attachment_image_alt', true) ); ?>">
        <div class="hover">
            <div class="circle">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 43.75 43.564">
                    <title>arrow</title>
                    <path d="M1027.744,1417.179l20.61,20.61a1.172,1.172,0,0,1,0,1.658l-20.61,20.611a1.174,1.174,0,0,1-1.658,0l-.69-.692a1.171,1.171,0,0,1,0-1.657l17.431-17.431h-36.708a1.172,1.172,0,0,1-1.172-1.172v-.976a1.172,1.172,0,0,1,1.172-1.172h36.708l-17.431-17.431a1.171,1.171,0,0,1,0-1.657l.69-.691A1.174,1.174,0,0,1,1027.744,1417.179Z" transform="translate(-1004.947 -1416.836)"/>
                </svg>
            </div>
        </div>
        </a>
    </div>
    <?php endif; ?>
    
    <div class="blog-list-single--content">
        <div class="details">
            <h6>
            <a href="<?php echo esc_url(home_url(get_the_date('Y/m/d'))); ?>">
                <?php echo esc_html(get_the_date()); ?>
            </a>
            </h6>
            <span>|</span>
            <h6>
                <?php echo wp_kses(slope_get_blog_categories(get_the_ID()), 'anchor-allowed'); ?>
            </h6>
        </div>
        <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>

        <?php if (
            ($args['blog_layout'] == 'grid-1') || 
            ($args['blog_layout'] == 'list-1') ||
            ($args['blog_layout'] == 'list-1-left')
        ): ?>
            <?php if (!empty(get_the_excerpt())): ?>
            <div class="paragraph excerpt" id="excerpt-<?php the_ID(); ?>"><?php the_excerpt(); ?></div>
            <?php endif; ?>
            <a href="<?php the_permalink(); ?>" class="button"><span><?php echo esc_html__('Read More', 'slope') ?></span></a>

        <?php endif; ?>
    </div>
</div>
</div>