<?php

    // related posts
    $related_posts_display = true;
    if (isset($gfxpartner_slope['related_posts_display'])) {
        $related_posts_display = $gfxpartner_slope['related_posts_display'];
    }

    $categories = get_the_category();

    $args = array(
        'posts_per_page' => 2,
        'post_type' => 'post',
        'post__not_in' => [ $post->ID ],
        'ignore_sticky_posts' => 1,
        'cat' => !empty($categories) ? $categories[0]->term_id : null
    );

    $rp_query = new WP_Query($args);

    // related posts heading
    $related_posts_heading = __('Related Reads.', 'slope');
    if (isset($gfxpartner_slope['related_posts_heading'])) {
        $related_posts_heading = $gfxpartner_slope['related_posts_heading'];
    }

?>

<?php 
    if (
        $related_posts_display && 
        $rp_query->have_posts()
    ): 
?>
<!--
related posts - start
-->
<div class="related-posts">
    <div class="container">
        <?php if (!empty($related_posts_heading)): ?>
            <!--
            related posts heading - start
            -->
            <div class="related-posts--heading">
                <h2><?php echo esc_html($related_posts_heading); ?></h2>
            </div>
            <!--
            related posts heading - end
            -->
        <?php endif; // ending - related posts heading condition ?>

        <div class="row">
            <?php while ($rp_query->have_posts()): $rp_query->the_post() ?>
                <?php
                    get_template_part('inc/template/part', 'post', array(
                        'id' => get_the_ID(),
                        'blog_layout' => 'grid-1',
                        'other' => 'related-post'
                    ));
                ?>
            <?php endwhile; wp_reset_postdata(); ?>
        </div>
    </div>
</div>
<!--
related posts - end
-->
<?php endif; ?>