<?php
    if (function_exists('get_field')) {
        $icon_method = get_field('icon_method');
        $icon_name = get_field('service_fontawesome_icon');    
        $icon_image = wp_get_attachment_image(get_field('upload_icon'), '', true, array( "class" => "svg" )); 
    }
?>

<div class="service--box service--box--<?php echo esc_attr( get_the_ID() ); ?>">

    <?php if ( has_post_thumbnail() ): ?>
        <div class="service--box--image">
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail( 'service-thumbnail-size' ); ?>
                <div class="icon">
                    <?php if (isset($icon_method) && $icon_method == 'Font awesome icon'): ?>
                        <i class="<?php echo esc_attr($icon_name); ?>"></i>
                    <?php endif; ?>
                    <?php if (isset($icon_method) && $icon_method == 'Upload SVG'): ?>
                        <?php echo wp_kses_post($icon_image); ?>
                    <?php endif; ?>
                </div>
            </a>
        </div>
    <?php endif; // has_post_thumnail() condition ?>

    <a href="<?php the_permalink(); ?>">
        <div class="service--box--content">                
            <h4><?php the_title(); ?></h4>
            <?php the_excerpt(); ?>
        </div>
    </a>
</div>