<?php

    get_header(); 

    global $gfxpartner_slope; 

    global $post; 


    // thumbnail
    $display_thumbnail_detailed = true;
    $thumbnail_detailed = '';
    if (function_exists('get_field')) {
        $display_thumbnail_detailed = get_field('display_thumbnail_on_detailed_page');
        $thumbnail_detailed = get_field('detailed_page_thumbnail');
    }

    // sidebar display
    $blog_sidebar_display = true;
    if (isset($gfxpartner_slope['blog_sidebar_display'])) {
        $blog_sidebar_display = $gfxpartner_slope['blog_sidebar_display'];
    }

    // sidebar location
    $blog_sidebar_location = '2';
    if (isset($gfxpartner_slope['blog_sidebar_location_detailed'])) {
        $blog_sidebar_location = $gfxpartner_slope['blog_sidebar_location_detailed'];
    }

    // blog class
    $blog_class = array('blog-single-page-wrapper');

    if (
        $blog_sidebar_display && 
        $blog_sidebar_location == '1' && 
        is_active_sidebar('blog-sidebar')
    ) {
        array_push($blog_class, 'blog-single-page-wrapper-left');
    }

    if (
        $blog_sidebar_display && 
        $blog_sidebar_location == '2' && 
        is_active_sidebar('blog-sidebar')
    ) {
        array_push($blog_class, 'blog-single-page-wrapper-right');
    }

    // pagination
    $pagination = array(
    'before'=> '
        <div class="post-nav-links">
            <h6>'.__('Pages', 'slope').': </h6>
            <div class="post-nav-links-inner">', 
    'after' => '
            </div>
        </div>'
    );

?>

<?php if (have_posts()): while (have_posts()): the_post(); ?>
    <!--
    blog single header - start
    -->
    <div class="blog-single-header">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( $blog_sidebar_display && is_active_sidebar('blog-sidebar') ? 'col-lg-12' : 'col-lg-8 offset-lg-2' ); ?>">
                    <div class="blog-single-header--heading">
                        <h1><?php the_title(); ?></h1>
                    </div>
                    <div class="blog-single-header--detail">
                        <div class="author">
                            <div class="author-image">
                                <?php echo get_avatar( $post, 64, '', '', '' ); ?>
                            </div>
                            <div class="author-name">
                                <h6><?php echo esc_html__('Author', 'slope'); ?></h6>
                                <h5><?php the_author(); ?></h5>
                            </div>
                        </div>
                        <div class="category">
                            <h6><?php echo esc_html__('Category', 'slope'); ?></h6>
                            <h5><span><?php the_category(', '); ?></span></h5>
                        </div>
                        <div class="date">
                            <h6><?php echo esc_html__('Date', 'slope'); ?></h6>
                            <h5>
                                <a href="<?php echo esc_url(home_url(get_the_date('Y/m/d'))); ?>">
                                    <?php echo esc_html(get_the_date()); ?>
                                </a>
                            </h5>  
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if (has_post_thumbnail() && $display_thumbnail_detailed): ?>
            <div class="blog-thumbnail">
                <?php the_post_thumbnail('full'); ?>
            </div>
        <?php endif; ?>
        <?php if ($thumbnail_detailed && !($display_thumbnail_detailed)): ?>
            <div class="blog-thumbnail">
                <?php echo wp_get_attachment_image($thumbnail_detailed, '', true); ?>
            </div>
        <?php endif; ?>
    </div>
    <!--
    blog single header - end
    -->
    <div class="container sidebar-page blog-single-page">
        <div class="row">
            <?php
                // display sidebar on the left side
                if (
                    $blog_sidebar_display && 
                    $blog_sidebar_location == '1' && 
                    is_active_sidebar('blog-sidebar')
                ):
            ?>
                <!--
                left sidebar - start
                -->
                <div class="col-lg-4 sidebar-column">
                    <div class="sidebar-column-wrapper">
                        <?php get_sidebar('blog-sidebar'); ?>
                    </div>
                </div>
                <!--
                left sidebar - end
                -->
            <?php endif; // ending - left sidebar condition ?>
            <div class="<?php echo esc_attr($blog_sidebar_display && is_active_sidebar('blog-sidebar') ? 'col-lg-8' : 'col-lg-8 offset-lg-2'); ?>">
                <div class="<?php echo esc_attr(implode(' ', $blog_class)); ?>">
                    <!--
                    post - start
                    -->
                    <div <?php post_class('blog-single-content-wrapper'); ?>>
                        <?php 
                            if (post_password_required()) {
                                echo get_the_password_form();
                            } else {
                                the_content(); 
                            }
                        ?>
                    </div>
                    <!--
                    post - end
                    -->

                    <?php if (!empty(wp_link_pages(array('echo' => 0)))): ?>
                    <!--
                    blog pagination - start
                    -->
                    <div class="pagination-container">
                        <?php wp_link_pages($pagination); ?>
                    </div>
                    <!--
                    blog pagination - end
                    -->
                    <?php endif; ?>

                    <?php if (has_tag()): ?>
                    <!--
                    post tags - start
                    -->
                    <div class="post-tags">
                        <?php the_tags('<h6>'.__('Tags', 'slope').': </h6><ul><li>', '</li><li>', '</li></ul>'); ?>
                    </div>
                    <!--
                    post tags - end
                    -->
                    <?php endif; ?>

                    <?php if (comments_open() || get_comments_number() != 0): ?>
                        <!--
                        comments - start
                        -->
                        <?php comments_template(); ?>
                        <!--
                        comments - end
                        -->
                    <?php endif; ?>
                </div>
            </div>
            <?php
                // display sidebar on the right side
                if (
                    $blog_sidebar_display && 
                    $blog_sidebar_location == '2' && 
                    is_active_sidebar('blog-sidebar')
                ): 
            ?>
                <!--
                right sidebar - start
                -->
                <div class="col-lg-4 sidebar-column">
                    <div class="sidebar-column-wrapper">
                        <?php get_sidebar('blog-sidebar'); ?>
                    </div>
                </div>
                <!--
                right sidebar - end
                -->
            <?php endif; // ending - right sidebar condition ?>
        </div>
    </div>
    
<?php endwhile;  endif; ?>

<?php
    // related posts
    get_template_part( '/inc/template/part', 'related-posts' );
?>

<?php get_footer(); ?>